#ifndef PIC_ADDITIONS_H  // this syntax avoids multiple inclusions of a header file
#define PIC_ADDITIONS_H  // by the compiler.  The combined syntax is called a #include guard

// extra header files and constants
// none in this example

// global variables
// none in this example

// function prototypes
extern void initUart1(void); 
extern void _mon_putc(char c);
extern int _mon_getc(int callback); // We use the keyword "extern"
								// to let the compiler know that
								// a function might be externally 
								// defined in another file or compiled
								// library.  In this example, they are 
								// all defined in pic32_additions.c.

#endif /* PIC_ADDITIONS_H */
